Attribute VB_Name = "File_Select"
Option Explicit
Public Declare Function GetOpenFileName Lib "comdlg32.dll" Alias "GetOpenFileNameA" _
                                            (pOpenfilename As OPENFILENAME) As Long

Public Type OPENFILENAME
    lStructSize As Long
    hwndOwner As Long
    hInstance As Long
    lpstrFilter As String
    lpstrCustomFilter As String
    nMaxCustFilter As Long
    nFilterIndex As Long
    lpstrFile As String
    nMaxFile As Long
    lpstrFileTitle As String
    nMaxFileTitle As Long
    lpstrInitialDir As String
    lpstrTitle As String
    flags As Long
    nFileOffset As Integer
    nFileExtension As Integer
    lpstrDefExt As String
    lCustData As Long
    lpfnHook As Long
    lpTemplateName As String
End Type

Public Function FileSelect()
    '
    Dim OFN As OPENFILENAME
    '
    OFN.lStructSize = Len(OFN)
    OFN.hwndOwner = frmMain.hWnd
    OFN.hInstance = App.hInstance
    OFN.lpstrFilter = "  (*.wav)" + Chr$(0) + "*.wav" + Chr$(0) _
                    & "  (*.mp3)" + Chr$(0) + "*.mp3" + Chr$(0) _
                    & "  (*.midi,*.mid)" + Chr$(0) + "*.midi;*.mid" + Chr$(0) _
                    & "  (*.*)" + Chr$(0) + "*.*"
    OFN.lpstrFile = Space$(254)
    OFN.nMaxFile = 255
    OFN.lpstrFileTitle = Space$(254)
    OFN.nMaxFileTitle = 255
    OFN.lpstrInitialDir = CurDir
    OFN.lpstrTitle = "Our File Open Title"
    OFN.flags = 0
    frmMain.PathToFiles = GetOpenFileName(OFN)

    If (frmMain.PathToFiles) Then
        frmMain.PathToFiles = Trim$(OFN.lpstrFile)
    Else
        frmMain.PathToFiles = ""
    End If
End Function

